/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.dbc.condition.parser;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.3 $
 */
public class ForAllExpression extends LoopExpression
{
   public ForAllExpression(String declaration, String collection, Expression body)
   {
      super(declaration, collection, body);
   }
   
   protected void accept(ExpressionVisitor visitor)
   {
      visitor.visit(this);
   }

}
